#include <iostream>

using namespace std;

void ispisi(int a[], int k){
    for(int i = 0; i <= k; i++){
        cout << a[i] << " ";
    }
}

int main()
{
    int n;
    int k;
    int x;
    cin >> n;
    cin >> k;
    cin >> x;
    int *a = new int[n];
    for(int i = 0; i < k; i++){
        a[i] = 1;
        n--;
        if(n == 0){
            cout << -1;
            break;
        }
    }
    if(n != 0){
        a[k] = 1 + x;
        n--;
        if(n == 0){
            ispisi(a, k);
        }
        else {
            while(n > 0){
                k++;
                a[k] = x;
                n--;
            }
            ispisi(a, k);
        }
    }
    return 0;
}